Arduino

Reference Language | Libraries | Comparison | Changes

Robot

## pointTo()

#### Description

Make the robot point in a particular direction. pointTo() makes the robot face an absolute direction based on the compass.

#### Syntax

Robot.pointTo(degrees)

#### Parameters

degrees:0 to 359.

#### Returns

none

#### Note

Magnetic objects in the surrounding may disrupt the compass module. Keep magnets, such as strong speakers, away from the robot.

#### Examples

#include <ArduinoRobot.h>
void setup(){
Robot.begin();
Robot.pointTo(90); //The robot will turn to 90, by the value of compass
}
void loop(){
}
[Get Code]

#### See also

- motorsWrite()
- turn()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers